App\Library\Amazon\Classes\SportsMemorabilia:
    xml_root_name: SportsMemorabilia
    properties:
        productType:
            expose: true
            access_type: public_method
            serialized_name: ProductType
            accessor:
                getter: getProductType
                setter: setProductType
            type: string
        authenticatedBy:
            expose: true
            access_type: public_method
            serialized_name: AuthenticatedBy
            accessor:
                getter: getAuthenticatedBy
                setter: setAuthenticatedBy
            type: string
        authenticityCertificateNumber:
            expose: true
            access_type: public_method
            serialized_name: AuthenticityCertificateNumber
            accessor:
                getter: getAuthenticityCertificateNumber
                setter: setAuthenticityCertificateNumber
            type: string
        autographed:
            expose: true
            access_type: public_method
            serialized_name: Autographed
            accessor:
                getter: getAutographed
                setter: setAutographed
            type: boolean
        conditionProvidedBy:
            expose: true
            access_type: public_method
            serialized_name: ConditionProvidedBy
            accessor:
                getter: getConditionProvidedBy
                setter: setConditionProvidedBy
            type: string
        conditionRating:
            expose: true
            access_type: public_method
            serialized_name: ConditionRating
            accessor:
                getter: getConditionRating
                setter: setConditionRating
            type: string
        eventName:
            expose: true
            access_type: public_method
            serialized_name: EventName
            accessor:
                getter: getEventName
                setter: setEventName
            type: string
        gameUsed:
            expose: true
            access_type: public_method
            serialized_name: GameUsed
            accessor:
                getter: getGameUsed
                setter: setGameUsed
            type: string
        isVeryHighValue:
            expose: true
            access_type: public_method
            serialized_name: IsVeryHighValue
            accessor:
                getter: getIsVeryHighValue
                setter: setIsVeryHighValue
            type: boolean
        itemThickness:
            expose: true
            access_type: public_method
            serialized_name: ItemThickness
            accessor:
                getter: getItemThickness
                setter: setItemThickness
            type: App\Library\Amazon\Classes\LengthDimensionType
        jerseyType:
            expose: true
            access_type: public_method
            serialized_name: JerseyType
            accessor:
                getter: getJerseyType
                setter: setJerseyType
            type: string
        leagueName:
            expose: true
            access_type: public_method
            serialized_name: LeagueName
            accessor:
                getter: getLeagueName
                setter: setLeagueName
            type: string
        lotType:
            expose: true
            access_type: public_method
            serialized_name: LotType
            accessor:
                getter: getLotType
                setter: setLotType
            type: string
        material:
            expose: true
            access_type: public_method
            serialized_name: Material
            accessor:
                getter: getMaterial
                setter: setMaterial
            type: string
        numberOfPages:
            expose: true
            access_type: public_method
            serialized_name: NumberOfPages
            accessor:
                getter: getNumberOfPages
                setter: setNumberOfPages
            type: integer
        numberOfPieces:
            expose: true
            access_type: public_method
            serialized_name: NumberOfPieces
            accessor:
                getter: getNumberOfPieces
                setter: setNumberOfPieces
            type: integer
        packaging:
            expose: true
            access_type: public_method
            serialized_name: Packaging
            accessor:
                getter: getPackaging
                setter: setPackaging
            type: string
        playerName:
            expose: true
            access_type: public_method
            serialized_name: PlayerName
            accessor:
                getter: getPlayerName
                setter: setPlayerName
            type: string
        season:
            expose: true
            access_type: public_method
            serialized_name: Season
            accessor:
                getter: getSeason
                setter: setSeason
            type: string
        signedBy:
            expose: true
            access_type: public_method
            serialized_name: SignedBy
            accessor:
                getter: getSignedBy
                setter: setSignedBy
            type: string
        sport:
            expose: true
            access_type: public_method
            serialized_name: Sport
            accessor:
                getter: getSport
                setter: setSport
            type: string
        teamName:
            expose: true
            access_type: public_method
            serialized_name: TeamName
            accessor:
                getter: getTeamName
                setter: setTeamName
            type: string
        uniformNumber:
            expose: true
            access_type: public_method
            serialized_name: UniformNumber
            accessor:
                getter: getUniformNumber
                setter: setUniformNumber
            type: integer
        whatsInTheBox:
            expose: true
            access_type: public_method
            serialized_name: WhatsInTheBox
            accessor:
                getter: getWhatsInTheBox
                setter: setWhatsInTheBox
            type: string
        year:
            expose: true
            access_type: public_method
            serialized_name: Year
            accessor:
                getter: getYear
                setter: setYear
            type: integer
        makeAnOfferMinimumPercentage:
            expose: true
            access_type: public_method
            serialized_name: MakeAnOfferMinimumPercentage
            accessor:
                getter: getMakeAnOfferMinimumPercentage
                setter: setMakeAnOfferMinimumPercentage
            type: integer
        unitCount:
            expose: true
            access_type: public_method
            serialized_name: UnitCount
            accessor:
                getter: getUnitCount
                setter: setUnitCount
            type: float
        unitCountType:
            expose: true
            access_type: public_method
            serialized_name: UnitCountType
            accessor:
                getter: getUnitCountType
                setter: setUnitCountType
            type: string
        cardNumber:
            expose: true
            access_type: public_method
            serialized_name: CardNumber
            accessor:
                getter: getCardNumber
                setter: setCardNumber
            type: string
        parallelType:
            expose: true
            access_type: public_method
            serialized_name: ParallelType
            accessor:
                getter: getParallelType
                setter: setParallelType
            type: string
        insertType:
            expose: true
            access_type: public_method
            serialized_name: InsertType
            accessor:
                getter: getInsertType
                setter: setInsertType
            type: string
